Index: src/Jobs/Grid/SamplingGrid.cpp
===================================================================
--- src/Jobs/Grid/SamplingGrid.cpp	(revision 4adfba4c02b009fde445dcd95a19e5bd02447985)
+++ src/Jobs/Grid/SamplingGrid.cpp	(revision c889b7d07d4553e5cc902de0cd0de8fd90e0c533)
@@ -42,9 +42,10 @@
 #include "Jobs/Grid/SamplingGrid.hpp"
 
+#include "CodePatterns/Assert.hpp"
 
 SamplingGrid::SamplingGrid(const double _begin[3],
     const double _size,
     const int _level,
-    const std::vector<double> &_sampled_grid) :
+    const sampledvalues_t &_sampled_grid) :
   SamplingGridProperties(_begin, _size, _level),
   sampled_grid(_sampled_grid)
@@ -60,6 +61,42 @@
 {}
 
+SamplingGrid::SamplingGrid(
+    const SamplingGridProperties &_props,
+    const sampledvalues_t &_sampled_grid) :
+  SamplingGridProperties(_props),
+  sampled_grid(_sampled_grid)
+{}
+
 SamplingGrid::~SamplingGrid()
 {}
+
+SamplingGrid& SamplingGrid::operator=(const SamplingGrid& other)
+{
+  // check for self-assignment
+  if (this != &other) {
+    static_cast<SamplingGridProperties &>(*this) = other;
+    sampled_grid = other.sampled_grid;
+  }
+  return *this;
+}
+
+void SamplingGrid::superposeOtherGrids(const SamplingGrid &other, const double prefactor)
+{
+  // check that grids are compatible
+  if (isCompatible(other)) {
+    // then add other's grid onto this one
+    sampledvalues_t::iterator iter = sampled_grid.begin();
+    sampledvalues_t::const_iterator otheriter = other.sampled_grid.begin();
+    for(; iter != sampled_grid.end(); ++iter, ++otheriter )
+      *iter += prefactor * (*otheriter);
+  } else {
+    ASSERT(0, "SamplingGrid::superposeOtherGrids() - superposing incompatible grids is so far not in the cards.");
+  }
+}
+
+std::ostream & operator<<(std::ostream &ost, const SamplingGrid& other)
+{
+  return ost;
+}
 
 // we need to explicitly instantiate the serialization functions as
Index: src/Jobs/Grid/SamplingGrid.hpp
===================================================================
--- src/Jobs/Grid/SamplingGrid.hpp	(revision 4adfba4c02b009fde445dcd95a19e5bd02447985)
+++ src/Jobs/Grid/SamplingGrid.hpp	(revision c889b7d07d4553e5cc902de0cd0de8fd90e0c533)
@@ -14,4 +14,5 @@
 #endif
 
+#include <iosfwd>
 #include <vector>
 
@@ -22,10 +23,19 @@
 
 class MPQCData;
+class SamplingGridTest;
 
 /** This class stores a sample function on a three-dimensional grid.
  *
  */
-class SamplingGrid : public SamplingGridProperties {
+class SamplingGrid : public SamplingGridProperties
+{
+  //!> grant unit test access to private parts
+  friend class SamplingGridTest;
+  //!> grant output operator access
+  friend std::ostream & operator<<(std::ostream &ost, const SamplingGrid& other);
 public:
+  //!> typedef for sampled values
+  typedef std::vector< double > sampledvalues_t;
+
   /** Constructor for class SamplingGrid.
    *
@@ -38,5 +48,5 @@
       const double _size,
       const int _level,
-      const std::vector<double> &_sampled_grid);
+      const sampledvalues_t &_sampled_grid);
 
   /** Copy constructor for class SamplingGrid.
@@ -52,4 +62,13 @@
   SamplingGrid(const SamplingGridProperties &_props);
 
+  /** Copy constructor for class SamplingGrid from SamplingGridProperties.
+   *
+   * \param _props properties to copy
+   * \param _sampled_grid sample points
+   */
+  SamplingGrid(
+      const SamplingGridProperties &_props,
+      const sampledvalues_t &_sampled_grid);
+
   /** default cstor.
    */
@@ -59,7 +78,46 @@
   virtual ~SamplingGrid();
 
+  /** Assignment operator.
+   *
+   * \param other other instance to assign ourselves to
+   */
+  SamplingGrid& operator=(const SamplingGrid& other);
+
+  /** Addition operator with another SamplingGrid instance \a other.
+   *
+   * \param other other instance to sum onto this one.
+   * \return ref to this instance
+   */
+  SamplingGrid& operator+=(const SamplingGrid& other)
+  {
+    superposeOtherGrids(other, +1.);
+    return *this;
+  }
+
+  /** Subtraction operator with another SamplingGrid instance \a other.
+   *
+   * \param other other instance to subtract from this one.
+   * \return ref to this instance
+   */
+  SamplingGrid& operator-=(const SamplingGrid& other)
+  {
+    superposeOtherGrids(other, -1.);
+    return *this;
+  }
+
+private:
+  /** Helper function that contains all the logic of how to superpose two
+   * grids.
+   *
+   * Is called by SamplingGrid::operator+=() and SamplingGrid::operator-=()
+   *
+   * @param other other histogram
+   * @param prefactor +1. is then addition, -1. is subtraction.
+   */
+  void superposeOtherGrids(const SamplingGrid &other, const double prefactor);
+
 public:
   //!> sample points
-  std::vector< double > sampled_grid;
+  sampledvalues_t sampled_grid;
 
 private:
@@ -72,8 +130,15 @@
   {
     ar & boost::serialization::base_object<SamplingGridProperties>(*this);
-    ar & const_cast< std::vector<double> &>(sampled_grid);
+    ar & const_cast< sampledvalues_t &>(sampled_grid);
   }
+};
 
-};
+/** Output operator for class SamplingGrid.
+ *
+ * \param ost output stream to print to
+ * \param other instance to print
+ * \return ref to stream for concatenation
+ */
+std::ostream & operator<<(std::ostream &ost, const SamplingGrid& other);
 
 // we need to give this class a unique key for serialization
Index: src/Jobs/Grid/SamplingGridProperties.cpp
===================================================================
--- src/Jobs/Grid/SamplingGridProperties.cpp	(revision 4adfba4c02b009fde445dcd95a19e5bd02447985)
+++ src/Jobs/Grid/SamplingGridProperties.cpp	(revision c889b7d07d4553e5cc902de0cd0de8fd90e0c533)
@@ -72,4 +72,14 @@
 {}
 
+bool SamplingGridProperties::operator==(const SamplingGridProperties &_props) const
+{
+  bool status = true;
+  for (size_t i=0; i<3; ++i)
+    status &= begin[i] == _props.begin[i];
+  status &= size == _props.size;
+  status &= level == _props.level;
+  return status;
+}
+
 // we need to explicitly instantiate the serialization functions as
 // its is only serialized through its base class FragmentJob
Index: src/Jobs/Grid/SamplingGridProperties.hpp
===================================================================
--- src/Jobs/Grid/SamplingGridProperties.hpp	(revision 4adfba4c02b009fde445dcd95a19e5bd02447985)
+++ src/Jobs/Grid/SamplingGridProperties.hpp	(revision c889b7d07d4553e5cc902de0cd0de8fd90e0c533)
@@ -45,4 +45,29 @@
   virtual ~SamplingGridProperties();
 
+  /** Checks whether another instance is compatible with this one.
+   *
+   * \param _props other properties to check against
+   * \return true - are compatible, false - else
+   */
+  bool isCompatible(const SamplingGridProperties &_props) const
+  {
+    return *this == _props;
+  }
+
+  /** Equality operator for class SamplingGridProperties.
+   *
+   * \param _props other object to compare to
+   */
+  bool operator==(const SamplingGridProperties &_props) const;
+
+  /** Inequality operator for class SamplingGridProperties.
+   *
+   * \param _props other object to compare to
+   */
+  bool operator!=(const SamplingGridProperties &_props) const
+  {
+    return (!(*this == _props));
+  }
+
 public:
   //!> offset of grid
Index: src/Jobs/Grid/unittests/Makefile.am
===================================================================
--- src/Jobs/Grid/unittests/Makefile.am	(revision c889b7d07d4553e5cc902de0cd0de8fd90e0c533)
+++ src/Jobs/Grid/unittests/Makefile.am	(revision c889b7d07d4553e5cc902de0cd0de8fd90e0c533)
@@ -0,0 +1,36 @@
+# PLEASE adhere to the alphabetical ordering in this Makefile!
+# Also indentation by a single tab
+
+JOBSGRIDTESTSSOURCES = \
+	../Jobs/Grid/unittests/SamplingGridPropertiesUnitTest.cpp \
+	../Jobs/Grid/unittests/SamplingGridUnitTest.cpp
+
+JOBSGRIDTESTSHEADERS = \
+	../Jobs/Grid/unittests/SamplingGridPropertiesUnitTest.hpp \
+	../Jobs/Grid/unittests/SamplingGridUnitTest.hpp
+
+JOBSGRIDTESTS = \
+  SamplingGridPropertiesUnitTest \
+  SamplingGridUnitTest
+
+TESTS += $(JOBSGRIDTESTS)
+check_PROGRAMS += $(JOBSGRIDTESTS) 
+noinst_PROGRAMS += $(JOBSGRIDTESTS)
+
+JOBSGRIDLIBS = \
+	../libMolecuilderJobsGrid.la \
+	${CodePatterns_LIBS} \
+	$(BOOST_LIB)
+
+SamplingGridPropertiesUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+	../Jobs/Grid/unittests/SamplingGridPropertiesUnitTest.cpp \
+	../Jobs/Grid/unittests/SamplingGridPropertiesUnitTest.hpp
+SamplingGridPropertiesUnitTest_LDADD = ${JOBSGRIDLIBS}
+
+SamplingGridUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+	../Jobs/Grid/unittests/SamplingGridUnitTest.cpp \
+	../Jobs/Grid/unittests/SamplingGridUnitTest.hpp
+
+SamplingGridUnitTest_LDADD = ${JOBSGRIDLIBS}
+
+#AUTOMAKE_OPTIONS = parallel-tests
Index: src/Jobs/Grid/unittests/SamplingGridPropertiesUnitTest.cpp
===================================================================
--- src/Jobs/Grid/unittests/SamplingGridPropertiesUnitTest.cpp	(revision c889b7d07d4553e5cc902de0cd0de8fd90e0c533)
+++ src/Jobs/Grid/unittests/SamplingGridPropertiesUnitTest.cpp	(revision c889b7d07d4553e5cc902de0cd0de8fd90e0c533)
@@ -0,0 +1,114 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2012 University of Bonn. All rights reserved.
+ * 
+ *
+ *   This file is part of MoleCuilder.
+ *
+ *    MoleCuilder is free software: you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation, either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    MoleCuilder is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
+/*
+ * SamplingGridPropertiesUnitTest.cpp
+ *
+ *  Created on: Jul 29, 2012
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+using namespace std;
+
+#include <cppunit/CompilerOutputter.h>
+#include <cppunit/extensions/TestFactoryRegistry.h>
+#include <cppunit/ui/text/TestRunner.h>
+
+#include "SamplingGridPropertiesUnitTest.hpp"
+
+#include "CodePatterns/Assert.hpp"
+
+#ifdef HAVE_TESTRUNNER
+#include "UnitTestMain.hpp"
+#endif /*HAVE_TESTRUNNER*/
+
+/********************************************** Test classes **************************************/
+
+// Registers the fixture into the 'registry'
+CPPUNIT_TEST_SUITE_REGISTRATION( SamplingGridPropertiesTest );
+
+
+void SamplingGridPropertiesTest::setUp()
+{
+  // failing asserts should be thrown
+  ASSERT_DO(Assert::Throw);
+
+  // create the grid
+  const double begin[3] = { 0., 0., 0. };
+  props = new SamplingGridProperties(begin, 1., 2);
+}
+
+
+void SamplingGridPropertiesTest::tearDown()
+{
+  delete props;
+}
+
+/** UnitTest for isCompatible()
+ */
+void SamplingGridPropertiesTest::isCompatible_Test()
+{
+  const double begin[3] = { 0., 0., 0. };
+  const double otherbegin[3] = { 1., 0.1, -0.5 };
+
+  // create other props
+  SamplingGridProperties sameprops(begin, 1., 2);
+  SamplingGridProperties otherprops(otherbegin, 1., 2);
+  SamplingGridProperties anotherprops(begin, 2., 2);
+  SamplingGridProperties moreotherprops(begin, 1., 4);
+
+  CPPUNIT_ASSERT( props->isCompatible(*props) );
+  CPPUNIT_ASSERT( props->isCompatible(sameprops) );
+  CPPUNIT_ASSERT( sameprops.isCompatible(*props) );
+  CPPUNIT_ASSERT( !props->isCompatible(otherprops) );
+  CPPUNIT_ASSERT( !otherprops.isCompatible(*props) );
+  CPPUNIT_ASSERT( !props->isCompatible(anotherprops) );
+  CPPUNIT_ASSERT( !anotherprops.isCompatible(*props) );
+  CPPUNIT_ASSERT( !props->isCompatible(moreotherprops) );
+  CPPUNIT_ASSERT( !moreotherprops.isCompatible(*props) );
+}
+
+/** UnitTest for operator==()
+ */
+void SamplingGridPropertiesTest::equality_Test()
+{
+  const double begin[3] = { 0., 0., 0. };
+  const double otherbegin[3] = { 1., 0.1, -0.5 };
+
+  // create other props
+  SamplingGridProperties sameprops(begin, 1., 2);
+  SamplingGridProperties otherprops(otherbegin, 1., 2);
+  SamplingGridProperties anotherprops(begin, 2., 2);
+  SamplingGridProperties moreotherprops(begin, 1., 4);
+
+  CPPUNIT_ASSERT( *props == *props );
+  CPPUNIT_ASSERT( *props == sameprops );
+  CPPUNIT_ASSERT( *props != otherprops );
+  CPPUNIT_ASSERT( *props != anotherprops );
+  CPPUNIT_ASSERT( *props != moreotherprops );
+}
+
Index: src/Jobs/Grid/unittests/SamplingGridPropertiesUnitTest.hpp
===================================================================
--- src/Jobs/Grid/unittests/SamplingGridPropertiesUnitTest.hpp	(revision c889b7d07d4553e5cc902de0cd0de8fd90e0c533)
+++ src/Jobs/Grid/unittests/SamplingGridPropertiesUnitTest.hpp	(revision c889b7d07d4553e5cc902de0cd0de8fd90e0c533)
@@ -0,0 +1,41 @@
+/*
+ * SamplingGridPropertiesUnitTest.hpp
+ *
+ *  Created on: Jul 29, 2012
+ *      Author: heber
+ */
+
+#ifndef SAMPLINGGRIDPROPERTIESUNITTEST_HPP_
+#define SAMPLINGGRIDPROPERTIESUNITTEST_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+
+#include <cppunit/extensions/HelperMacros.h>
+
+#include "Jobs/Grid/SamplingGridProperties.hpp"
+
+/********************************************** Test classes **************************************/
+
+class SamplingGridPropertiesTest : public CppUnit::TestFixture
+{
+    CPPUNIT_TEST_SUITE( SamplingGridPropertiesTest) ;
+    CPPUNIT_TEST ( isCompatible_Test );
+    CPPUNIT_TEST ( equality_Test );
+    CPPUNIT_TEST_SUITE_END();
+
+public:
+      void setUp();
+      void tearDown();
+      void isCompatible_Test();
+      void equality_Test();
+
+private:
+      SamplingGridProperties *props;
+
+};
+
+#endif /* SAMPLINGGRIDPROPERTIESUNITTEST_HPP_ */
Index: src/Jobs/Grid/unittests/SamplingGridUnitTest.cpp
===================================================================
--- src/Jobs/Grid/unittests/SamplingGridUnitTest.cpp	(revision c889b7d07d4553e5cc902de0cd0de8fd90e0c533)
+++ src/Jobs/Grid/unittests/SamplingGridUnitTest.cpp	(revision c889b7d07d4553e5cc902de0cd0de8fd90e0c533)
@@ -0,0 +1,152 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2012 University of Bonn. All rights reserved.
+ * 
+ *
+ *   This file is part of MoleCuilder.
+ *
+ *    MoleCuilder is free software: you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation, either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    MoleCuilder is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
+/*
+ * SamplingGridUnitTest.cpp
+ *
+ *  Created on: Jul 29, 2012
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+using namespace std;
+
+#include <cppunit/CompilerOutputter.h>
+#include <cppunit/extensions/TestFactoryRegistry.h>
+#include <cppunit/ui/text/TestRunner.h>
+
+#include "SamplingGridUnitTest.hpp"
+
+#include "CodePatterns/Assert.hpp"
+
+#include <cmath>
+#include <boost/assign.hpp>
+
+#ifdef HAVE_TESTRUNNER
+#include "UnitTestMain.hpp"
+#endif /*HAVE_TESTRUNNER*/
+
+using namespace boost::assign;
+
+/********************************************** Test classes **************************************/
+
+const double grid_value=1.;
+
+// Registers the fixture into the 'registry'
+CPPUNIT_TEST_SUITE_REGISTRATION( SamplingGridTest );
+
+
+void SamplingGridTest::setUp()
+{
+  // failing asserts should be thrown
+  ASSERT_DO(Assert::Throw);
+
+  // create the grid
+  const double begin[3] = { 0., 0., 0. };
+  for (size_t i=0; i< pow(pow(2,2),3); ++i)
+    values += grid_value;
+  grid = new SamplingGrid(begin, 1., 2, values);
+  CPPUNIT_ASSERT_EQUAL( grid_value, *(grid->sampled_grid.begin()) );
+}
+
+
+void SamplingGridTest::tearDown()
+{
+  delete grid;
+}
+
+#define NUMBEROFSAMPLES(n) pow(pow(2,n),3)
+
+/** UnitTest for operator+=()
+ */
+void SamplingGridTest::superposeOtherGrid_Test()
+{
+  // check illegal grid
+  const double begin[3] = { 0., 0., 0. };
+  SamplingGridProperties illegal_props(begin, 2., 1);
+  CPPUNIT_ASSERT( !grid->isCompatible(illegal_props) );
+  SamplingGrid::sampledvalues_t illegal_values;
+  for (size_t i=0; i< NUMBEROFSAMPLES(1); ++i)
+    illegal_values += 1.5;
+  SamplingGrid illegal_grid(illegal_props, illegal_values);
+#ifndef NDEBUG
+  CPPUNIT_ASSERT_THROW( *grid += illegal_grid, Assert::AssertionFailure );
+#else
+  *grid += illegal_grid;
+#endif
+
+  // check that grid is still the same
+  for (SamplingGrid::sampledvalues_t::const_iterator iter = grid->sampled_grid.begin();
+      iter != grid->sampled_grid.end(); ++iter)
+    CPPUNIT_ASSERT_EQUAL( grid_value, *iter );
+}
+
+/** UnitTest for operator+=()
+ */
+void SamplingGridTest::operatorPlusEqual_Test()
+{
+  // create other grid
+  const double begin[3] = { 0., 0., 0. };
+  SamplingGrid::sampledvalues_t othervalues;
+  const double othergrid_value = 1.5;
+  for (size_t i=0; i< NUMBEROFSAMPLES(2); ++i)
+    othervalues += othergrid_value;
+  SamplingGrid othergrid(begin, 1., 2, othervalues);
+  CPPUNIT_ASSERT_EQUAL( othergrid_value, *(othergrid.sampled_grid.begin()) );
+
+  // perform operation
+  CPPUNIT_ASSERT_NO_THROW( *grid += othergrid );
+
+  // check the contents of the grid
+  const double sum = grid_value+othergrid_value;
+  for (SamplingGrid::sampledvalues_t::const_iterator iter = grid->sampled_grid.begin();
+      iter != grid->sampled_grid.end(); ++iter)
+    CPPUNIT_ASSERT_EQUAL( sum, *iter );
+}
+
+/** UnitTest for operator-=()
+ */
+void SamplingGridTest::operatorMinusEqual_Test()
+{
+  // create other grid
+  const double begin[3] = { 0., 0., 0. };
+  SamplingGrid::sampledvalues_t othervalues;
+  const double othergrid_value = 1.5;
+  for (size_t i=0; i< NUMBEROFSAMPLES(2); ++i)
+    othervalues += othergrid_value;
+  SamplingGrid othergrid(begin, 1., 2, othervalues);
+  CPPUNIT_ASSERT_EQUAL( othergrid_value, *(othergrid.sampled_grid.begin()) );
+
+  // perform operation
+  CPPUNIT_ASSERT_NO_THROW( *grid -= othergrid );
+
+  // check the contents of the grid
+  const double difference = grid_value-othergrid_value;
+  for (SamplingGrid::sampledvalues_t::const_iterator iter = grid->sampled_grid.begin();
+      iter != grid->sampled_grid.end(); ++iter)
+    CPPUNIT_ASSERT_EQUAL( difference, *iter );
+}
+
Index: src/Jobs/Grid/unittests/SamplingGridUnitTest.hpp
===================================================================
--- src/Jobs/Grid/unittests/SamplingGridUnitTest.hpp	(revision c889b7d07d4553e5cc902de0cd0de8fd90e0c533)
+++ src/Jobs/Grid/unittests/SamplingGridUnitTest.hpp	(revision c889b7d07d4553e5cc902de0cd0de8fd90e0c533)
@@ -0,0 +1,43 @@
+/*
+ * SamplingGridUnitTest.hpp
+ *
+ *  Created on: Jul 29, 2012
+ *      Author: heber
+ */
+
+#ifndef SAMPLINGGRIDUNITTEST_HPP_
+#define SAMPLINGGRIDUNITTEST_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+
+#include <cppunit/extensions/HelperMacros.h>
+
+#include "Jobs/Grid/SamplingGrid.hpp"
+
+/********************************************** Test classes **************************************/
+
+class SamplingGridTest : public CppUnit::TestFixture
+{
+    CPPUNIT_TEST_SUITE( SamplingGridTest) ;
+    CPPUNIT_TEST ( superposeOtherGrid_Test );
+    CPPUNIT_TEST ( operatorPlusEqual_Test );
+    CPPUNIT_TEST ( operatorMinusEqual_Test );
+    CPPUNIT_TEST_SUITE_END();
+
+public:
+      void setUp();
+      void tearDown();
+      void superposeOtherGrid_Test();
+      void operatorPlusEqual_Test();
+      void operatorMinusEqual_Test();
+
+private:
+      SamplingGrid *grid;
+      SamplingGrid::sampledvalues_t values;
+};
+
+#endif /* SAMPLINGGRIDUNITTEST_HPP_ */
Index: src/unittests/Makefile.am
===================================================================
--- src/unittests/Makefile.am	(revision 4adfba4c02b009fde445dcd95a19e5bd02447985)
+++ src/unittests/Makefile.am	(revision c889b7d07d4553e5cc902de0cd0de8fd90e0c533)
@@ -20,4 +20,5 @@
 if CONDJOBMARKET
 include ../../src/Jobs/unittests/Makefile.am
+include ../../src/Jobs/Grid/unittests/Makefile.am
 endif
 
